
precision mediump float;
uniform sampler2D u_Texture;

varying vec4 v_Color;
varying vec4 v_Ambient;
varying vec2 v_TexCoord;

void main() {
    vec4 objectColor = texture2D(u_Texture, vec2(v_TexCoord.x, 1.0 - v_TexCoord.y));
    if(v_Color.x != 0.0)
    {
        gl_FragColor = v_Color * v_Ambient;
    }
    else
    {
        gl_FragColor = objectColor * v_Ambient;
    }
}