

uniform mat4 u_ModelViewProjection;
uniform vec4 u_Color;
uniform float u_PointSize;

attribute vec2 a_TexCoord;
attribute vec4 a_Position;
varying vec4 v_Color;
varying vec4 v_Ambient;
varying vec2 v_TexCoord;

void main() {
    v_Color = u_Color;
    gl_Position = u_ModelViewProjection * vec4(a_Position.xyz, 1.0);
    gl_PointSize = u_PointSize;
    v_TexCoord = a_TexCoord;
    v_Ambient = vec4(1.0, 1.0, 1.0, 1.0);
}
